/// <reference types="node" />
import Base from '../base/Base';
export default class EOCD extends Base {
    /** EOCD signature */
    private static signature;
    /** Number of this disk */
    diskNo: number;
    /** Disk where central directory starts */
    cdStart: number;
    /** Total number of central directory records */
    cdTotal: number;
    /** Number of central directory records on this disk */
    cdEntries: number;
    /** Size of central directory (bytes) */
    cdSize: number;
    /** Offset of start of central directory, relative to start of archive */
    cdOffset: number;
    /** Comment length */
    commentLength: number;
    /** Comment */
    comment: string;
    constructor(buf: Buffer);
    static find(buf: Buffer): false | Buffer;
}
//# sourceMappingURL=EOCD.d.ts.map