/// <reference types="node" />
import Zip from './base/Zip';
export default class PartialZip extends Zip {
    /** Request headers */
    private headers;
    constructor(url: string, headers?: Record<string, string>);
    preInit(): Promise<void>;
    /**
     * Downloads part of a file from a url.
     *
     * @param start - start byte offset to get
     * @param end - end byte offset to get
     */
    partialGet(start: number | bigint, end: number | bigint): Promise<Buffer>;
}
//# sourceMappingURL=PartialZip.d.ts.map