"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class BitField {
    constructor(num) {
        this.raw = num;
    }
    getBit(pos) {
        return (this.raw >> pos) & 1;
    }
    setBit(pos) {
        this.raw |= 1 << pos;
    }
    clearBit(pos) {
        this.raw &= ~(1 << pos);
    }
    toBitstring() {
        return this.raw.toString(2);
    }
}
exports.default = BitField;
//# sourceMappingURL=BitField.js.map