"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Base_1 = __importDefault(require("./Base"));
class Entry extends Base_1.default {
    /** File last modification (library specific) */
    get lastMod() {
        // Source: https://github.com/thejoshwolfe/yauzl/blob/master/index.js#L594
        const date = this.lastModDate;
        const time = this.lastModTime;
        const day = date & 0x1f;
        const month = (date >> 5) & 0xf;
        const year = ((date >> 9) & 0x7f) + 1980;
        const ms = 0;
        const second = (time & 0x1f) * 2;
        const minute = (time >> 5) & 0x3f;
        const hour = (time >> 11) & 0x1f;
        return new Date(year, month, day, hour, minute, second, ms);
    }
}
exports.default = Entry;
//# sourceMappingURL=Entry.js.map