"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
// https://pkware.cachefly.net/webdocs/casestudies/APPNOTE.TXT
// 4.4.4 general purpose bit flag: (2 bytes)
const BitField_1 = __importDefault(require("../base/BitField"));
class Flags extends BitField_1.default {
    get encrypted() {
        return !!this.getBit(0);
    }
    get utf8() {
        return !!this.getBit(11);
    }
}
exports.default = Flags;
//# sourceMappingURL=Flags.js.map