/// <reference types="node" />
import Base from '../base/Base';
export default class EOCD64Locator extends Base {
    /** Zip64 EOCD Locator Signature */
    static signature: number;
    /** CD Disk Number */
    cdDiskNo: number;
    /** Zip64 EOCD Offset */
    offset: bigint;
    /** Total number of disks */
    diskTotal: number;
    constructor(buf: Buffer);
    static find(buf: Buffer): false | Buffer;
}
//# sourceMappingURL=EOCD64Locator.d.ts.map