/// <reference types="node" />
/**
 * Split a Buffer into an array of buffers using the specified separator.
 *
 * @param buf - Buffer to be split
 * @param separator - A buffer that is used in separating the buffer.
 * If omitted, a single-element array containing the entire buffer is returned.
 */
export declare function bufferSplit(buf: Buffer, separator: Buffer): Buffer[];
/**
 * zlib inflate promisified
 *
 * @param buf - Buffer to inflate
 */
export declare function inflate(buf: Buffer): Promise<Buffer>;
//# sourceMappingURL=index.d.ts.map